import java.io.*;
import java.util.*;

public class jeroen {
	public static void main(String[] args) throws Exception {
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));

		double x = Double.valueOf(in.readLine());
		System.out.println(6 * Math.sqrt(x / 6 / (Math.sqrt(3)/4)));
	}
}

